import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["label", "nodeLabel"];
import { isElement } from 'react-is';
import PropTypes from 'prop-types';
import AtomLabel from '@s-ui/react-atom-label';
import Injector from '@s-ui/react-primitive-injector';
import { CLASS_NODE_LABEL_CONTAINER } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";

var MoleculeLabel = function MoleculeLabel(_ref) {
  var label = _ref.label,
      nodeLabel = _ref.nodeLabel,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  var innerLabel = function innerLabel() {
    if (label && isElement(label) || !label && nodeLabel) {
      return /*#__PURE__*/_jsx(Injector, _extends({}, props, {
        children: !label ? nodeLabel : label
      }));
    } else if (label) {
      return /*#__PURE__*/_jsx(AtomLabel, _extends({
        text: label
      }, props));
    }

    return null;
  };

  return /*#__PURE__*/_jsx("div", {
    className: CLASS_NODE_LABEL_CONTAINER,
    children: innerLabel()
  });
};

export default MoleculeLabel;